<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Striped Rows</h2>
  <p>The .table-striped class adds zebra-stripes to a table:</p>            
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th> Details</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>John</td>
        <td>Doe</td>
        <td>john@example.com</td>
        <td> <button class="btn btn-info" id="btn-info-1"> info 1 </button> </td>
      </tr>
      <tr>
        <td>Mary</td>
        <td>Moe</td>
        <td>mary@example.com</td>
        <td> <button class="btn btn-info" id="btn-info-2"> info 2 </button> </td>
      </tr>
      <tr>
        <td>July</td>
        <td>Dooley</td>
        <td>july@example.com</td>
        <td> <button class="btn btn-info" id="btn-info-3"> info 3</button> </td>
      </tr>
    </tbody>
  </table>
</div>

</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */ 
  $(document).ready(function(){
    //gán Eventheadler cho nút info 1
    $("#btn-info-1").on("click", onBtnInfo1Click);

    //gán Eventheadler cho nút info 2
    $("#btn-info-2").on("click", onBtnInfo2Click);

    //gán Eventheadler cho nút info 3
    $("#btn-info-3").on("click", onBtnInfo3Click);

  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm gọi xử lý khi nhấn nút info 1 
  function onBtnInfo1Click(){
    $("#btn-info-1") //truy vấn phần tử
    .parents("tr") // tìm parent
    .css({"color": "white", "background-color":"blue"});
  }

   //hàm gọi xử lý khi nhấn nút info 2 
   function onBtnInfo2Click(){
    $("#btn-info-2") //truy vấn phần tử
    .parents() // tìm parent
    .find(".container") //select những element (div) có class là container
    .css({"border": "2px solid green"}); //đổi border cho cả div container
  }

  //hàm gọi xử lý khi nhấn nút info 2 
  function onBtnInfo3Click(){
    $("#btn-info-3") //truy vấn phần tử
    .parents("tr") // tìm parent
    .find("td:nth-child(3)") //tìm đến ô cell bên trái (td), là ô chứa email
    .css({"color": "red"}); //đổi màu chữ thành đỏ
  }


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/ 
</script>
</html>
